ampdbfs
Prev | Orchestra Opcodes and Operators | Next

## ampdbfs

ampdbfs — Returns the amplitude equivalent (in 16-bit signed integer scale) of the full scale decibel (dB FS) value x.

## Description

Returns the amplitude equivalent of the full scale decibel (dB FS) value x. The logarithmic full scale decibel values will be converted to linear 16-bit signed integer values from −32,768 to +32,767.

## Syntax

    ampdbfs(x)  (no rate restriction)

## Examples

Here is an example of the ampdbfs opcode. It uses the file ampdbfs.csd.

Example 58. Example of the ampdbfs opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac     ;;;RT audio out
    ;-iadc    ;;;uncomment -iadc if RT audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o ampdbfs.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2

    instr 1

    idb  =  p4
    iamp =  ampdbfs(idb)
    asig	oscil iamp, 220, 1
    	print iamp
    	outs  asig, asig
    endin

    </CsInstruments>
    <CsScore>
    ;sine wave.
    f 1 0 16384 10 1

    i 1 0 1 -1
    i 1 + 1 -5
    i 1 + 1 -6
    i 1 + 1 -20
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like:

         instr 1:  iamp = 29204.511
         instr 1:  iamp = 18426.801
         instr 1:  iamp = 16422.904
         instr 1:  iamp = 3276.800

## See also

Amplitude Converters

New in Csound version 4.10

Prev | Up | Next
ampdb | Home | ampmidi